# Certificate Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

The Certificate

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒[RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html)⇒Certificate

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                              | Name           | Description                                                                                                                                      |                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------ |
| String                                                                                                                                            | AdminCreate    | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                            |
| String                                                                                                                                            | AdminLastMod   | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                            |
| String                                                                                                                                            | AlternateNames |                                                                                                                                                  | The alternate names of the certificate.                                                    |
| String                                                                                                                                            | CommonName     |                                                                                                                                                  |                                                                                            |
| String                                                                                                                                            | Description    |                                                                                                                                                  | The description of the certificate.                                                        |
| Boolean                                                                                                                                           | Enabled        |                                                                                                                                                  | Whether the certificate is enabled or not.                                                 |
| Nullable\<DateTime>                                                                                                                               | ExpirationDate |                                                                                                                                                  |                                                                                            |
| UInt32                                                                                                                                            | Id             |                                                                                                                                                  |                                                                                            |
| String                                                                                                                                            | Intermediate   |                                                                                                                                                  | The intermediate.                                                                          |
| [CertificateKeySize](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/CertificateKeySize.html) | KeySize        |                                                                                                                                                  |                                                                                            |
| String                                                                                                                                            | Name           |                                                                                                                                                  | Certificate Name.                                                                          |
| String                                                                                                                                            | PublicKey      |                                                                                                                                                  |                                                                                            |
| String                                                                                                                                            | Request        |                                                                                                                                                  | The certificate request.                                                                   |
| UInt32                                                                                                                                            | SiteId         |                                                                                                                                                  | ID of the site.                                                                            |
| [CertificateStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/CertificateStatus.html)   | Status         |                                                                                                                                                  |                                                                                            |
| DateTime                                                                                                                                          | TimeCreate     | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                            |
| DateTime                                                                                                                                          | TimeLastMod    | Inherited from [RASListObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASListObj.html) |                                                                                            |
| [CertificateType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/CertificateType.html)       | Type           |                                                                                                                                                  | Whether the certificate is Self-Signed, Imported or Requested.                             |
| [CertificateUsages](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/CertificateUsages.html)   | Usage          |                                                                                                                                                  | A set of assigned certificate usages. To form a set of usages 'OR' individual usage enums. |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/certificate-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
